Bug 65482 - Rare kfmclient signal 6 SIGABRT
Rare kfmclient signal 6 SIGABRT
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-25 05:23 EDT by Warren Togami
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-23 05:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-05-25 05:23:07 EDT
From Bugzilla Helper:  
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)  
  
Description of problem:  
Sometimes after I have used my system for several hours in KDE3.0.0-12 of Red  
Hat 7.3, when I click on the kfmclient (Home directory) button on Kicker, it  
crashes with signal 6 SIGABRT.  When this occurs if I attempt to run kfmclient  
in konsole it also crashes with SIGABRT.  
  
After I logout then log back in, kfmclient works normally.  Very difficult to  
trigger this behavior.  This has occured to me 3 times in the past few weeks  
since Red Hat 7.3 has been out.  
 
  
(no debugging symbols found)...(no debugging symbols found)...  
(no debugging symbols found)...(no debugging symbols found)...  
(no debugging symbols found)...(no debugging symbols found)...  
(no debugging symbols found)...(no debugging symbols found)...  
(no debugging symbols found)...[New Thread 1024 (LWP 16607)]  
0x420b4769 in wait4 () from /lib/i686/libc.so.6  
#0  0x420b4769 in wait4 () from /lib/i686/libc.so.6  
#1  0x4213030c in __DTOR_END__ () from /lib/i686/libc.so.6  
#2  0x40ef0ca3 in waitpid () from /lib/i686/libpthread.so.0  
#3  0x406b48d2 in KCrash::defaultCrashHandler ()  
   from /usr/lib/libkdecore-gcc2.96.so.4  
#4  0x40eeef75 in pthread_sighandler () from /lib/i686/libpthread.so.0  
#5  <signal handler called>  
#6  0x42029241 in kill () from /lib/i686/libc.so.6  
#7  0x40eeec4b in raise () from /lib/i686/libpthread.so.0  
#8  0x4202a7d2 in abort () from /lib/i686/libc.so.6  
#9  0x40f4cb8b in __default_terminate () at ../../gcc/libgcc2.c:-1  
#10 0x40f4cbaa in __terminate () from /usr/lib/libstdc++-libc6.2-2.so.3  
#11 __pure_virtual () at ../../gcc/libgcc2.c:-1  
#12 0x41982d35 in Arts::Dispatcher::connectUrl ()  
   from /usr/lib/libmcop-gcc2.96.so.1  
#13 0x41982bad in Arts::Dispatcher::connectObjectRemote ()  
   from /usr/lib/libmcop-gcc2.96.so.1  
#14 0x4176842c in Arts::SoundServerV2_base::_fromReference ()  
   from /usr/lib/libsoundserver_idl-gcc2.96.so.1  
#15 0x41767e35 in Arts::SoundServerV2_base::_fromString ()  
   from /usr/lib/libsoundserver_idl-gcc2.96.so.1  
#16 0x4170e98c in KonqSoundPlayerImpl::KonqSoundPlayerImpl ()  
   from /usr/lib/kde3/konq_sound-gcc2.96.so  
#17 0x4170f8ad in KonqSoundFactory::createObject ()  
   from /usr/lib/kde3/konq_sound-gcc2.96.so  
#18 0x406cac8e in KLibFactory::create () from /usr/lib/libkdecore-gcc2.96.so.4  
#19 0x4118fe1e in KonqIconViewWidget::startImagePreview ()  
   from /usr/lib/libkonq-gcc2.96.so.4  
#20 0x41361252 in KonqKfmIconView::newIconSize ()  
   from /usr/lib/kde3/konq_iconview-gcc2.96.so  
#21 0x4136265a in KonqKfmIconView::doOpenURL ()  
   from /usr/lib/kde3/konq_iconview-gcc2.96.so  
#22 0x411a280c in KonqDirPart::openURL () from /usr/lib/libkonq-gcc2.96.so.4  
#23 0x41228c99 in KonqView::openURL () from /usr/lib/konqueror-gcc2.96.so  
#24 0x41200be4 in KonqMainWindow::openView ()  
   from /usr/lib/konqueror-gcc2.96.so  
#25 0x41231eac in KonqViewManager::loadItem ()  
   from /usr/lib/konqueror-gcc2.96.so  
#26 0x412328e2 in KonqViewManager::loadItem ()  
   from /usr/lib/konqueror-gcc2.96.so  
#27 0x41230bcd in KonqViewManager::loadViewProfile ()  
   from /usr/lib/konqueror-gcc2.96.so  
#28 0x41230900 in KonqViewManager::loadViewProfile ()  
   from /usr/lib/konqueror-gcc2.96.so  
#29 0x41234ae0 in KonqMisc::createBrowserWindowFromProfile ()  
   from /usr/lib/konqueror-gcc2.96.so  
#30 0x411fb2bd in KonquerorIface::createBrowserWindowFromProfile ()  
   from /usr/lib/konqueror-gcc2.96.so  
#31 0x411fb35b in KonquerorIface::createBrowserWindowFromProfileASN ()  
   from /usr/lib/konqueror-gcc2.96.so  
#32 0x41248898 in KonquerorIface::process () from  
/usr/lib/konqueror-gcc2.96.so  
#33 0x40047bec in DCOPClient::receive () from /usr/lib/libDCOP-gcc2.96.so.4  
#34 0x400393bc in DCOPProcessInternal () from /usr/lib/libDCOP-gcc2.96.so.4  
#35 0x40038d8b in DCOPProcessMessage () from /usr/lib/libDCOP-gcc2.96.so.4  
#36 0x40055e7a in KDE_IceProcessMessages () from /usr/lib/libDCOP-gcc2.96.so.4  
#37 0x40048810 in DCOPClient::processSocketData ()  
   from /usr/lib/libDCOP-gcc2.96.so.4  
#38 0x40049a80 in DCOPClient::qt_invoke () from /usr/lib/libDCOP-gcc2.96.so.4  
#39 0x40988ec7 in QObject::activate_signal ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#40 0x40988fec in QObject::activate_signal ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#41 0x40c8227d in QSocketNotifier::activated ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#42 0x409a06d7 in QSocketNotifier::event ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#43 0x40928ff3 in QApplication::internalNotify ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#44 0x40928e8c in QApplication::notify ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#45 0x40619f1b in KApplication::notify () from  
/usr/lib/libkdecore-gcc2.96.so.4  
#46 0x408cd5cf in sn_activate () from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#47 0x408cdeb9 in QApplication::processNextEvent ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#48 0x4092a4bc in QApplication::enter_loop ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#49 0x408cd637 in QApplication::exec ()  
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3  
#50 0x411fad10 in main () from /usr/lib/konqueror-gcc2.96.so  
#51 0x0804cee9 in strcpy ()  
#52 0x0804dbcc in strcpy ()  
#53 0x0804e016 in strcpy ()  
#54 0x0804f505 in strcpy ()  
#55 0x42017499 in __libc_start_main () from /lib/i686/libc.so.6  
  
  
Version-Release number of selected component (if applicable):  
Red Hat Linux 7.3  
KDE 3.0.0-12  
  
How reproducible:  
Extremely rare
Comment 1 Warren Togami 2002-08-23 05:45:47 EDT
I haven't seen this in Limbo and Null.  Probably fixed.

Note You need to log in before you can comment on or make changes to this bug.